import { ComponentFixture, TestBed } from '@angular/core/testing';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { HttpClientModule } from '@angular/common/http';
import { TranslateModule } from '@ngx-translate/core';
import { LocalStorageService, SessionStorageService } from 'ngx-webstorage';
import { RouterTestingModule } from '@angular/router/testing';
import { ReviewRatingsComponent } from './review-ratings.component';

describe('ReviewRatingsComponent', () => {
  let component: ReviewRatingsComponent;
  let fixture: ComponentFixture<ReviewRatingsComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [HttpClientTestingModule, HttpClientModule, TranslateModule.forRoot(), RouterTestingModule],
      declarations: [ReviewRatingsComponent],
      providers: [LocalStorageService, SessionStorageService],
    }).compileComponents();
  });
  beforeEach(() => {
    fixture = TestBed.createComponent(ReviewRatingsComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
